Error: Unable to update package cache

Hallo.

Ich habe ein kleines Problem.
Nach dem Befehl pihole -up kommt die Meldung "Update local cache of available packages".
Diese bekomm ich auch nicht mehr weg. Habe bis jetzt einiges versucht aber immer noch die gleiche
Meldung.

PI HOLE
der Fehler mit dem Gravity kommt nicht mehr.


dieser hier ist aktuell.

Vielleicht könnt ihr mir ja weiterhelfen!

Danke euch schon Mal.
Mfg
Stefan

What is the complete output of the following from the Pi terminal:

sudo apt update